]> git.ameliathe1st.gay Git - git-over-gnunet.git/commitdiff
Daemons should now be run in the repo's root's *parent*
authorAmélia Coutard-Sander <git@ameliathe1st.gay>
Mon, 2 Dec 2024 10:50:51 +0000 (11:50 +0100)
committerAmélia Coutard-Sander <git@ameliathe1st.gay>
Mon, 2 Dec 2024 10:50:51 +0000 (11:50 +0100)
README.txt
daemon.sh

index ad24e8445398cf1f5429a3ede888d2f843ead884..c9eadbe27fb26191c888441579be5adcd4654aae 100644 (file)
@@ -9,7 +9,7 @@ Client:
                `GIT_EXEC_PATH=$GIT_EXEC_PATH:<path-to-git-over-gnunet-repo>` before every git command that uses remotes).
        The URL to give to git is gnunet://<location of the repo>/<name of the repo>.
 Server:
-       - To run the server on a repo, simply copy the two .sh files to its root, and run
+       - To run the server on a repo, simply copy the two .sh files to its root's parent, and run
                `./run-daemons.sh <repo-name>`.
        - You should also add a gns TXT record containing the peerid serving your repos to your zone.
        - This will open the repo for pulling on the url `gnunet://<gns-record-name>/<repo-name>`.
index 0d9d74738e7e544c3569627dc9f5103be507fc1a..1b86ab04e3f9b814e08f44eb10578f86307c9b4d 100755 (executable)
--- a/daemon.sh
+++ b/daemon.sh
@@ -16,7 +16,7 @@ name="$2"
 echo >&2 "Running $service on port \`git.$name.git-$service'."
 
 mktempfifo
-while < "$fifo_name" gnunet-cadet -o "git.$name.git-$service" | git "$service" . | (cat; sleep 5) | cat > "$fifo_name"; test 130 != "$?"; do
+while < "$fifo_name" gnunet-cadet -o "git.$name.git-$service" | git "$service" "$name" | (cat; sleep 5) | cat > "$fifo_name"; test 130 != "$?"; do
        rm "$fifo_name"
        mktempfifo
 done